# Uses of Interface
com.google.protobuf.MixinOrBuilder

Packages that use MixinOrBuilder
Package
Description
com.google.protobuf

## Uses of MixinOrBuilder in com.google.protobuf

Classes in com.google.protobuf that implement MixinOrBuilder
Modifier and Type
Class
Description
`final class`
`Mixin`
Protobuf type `google.protobuf.Mixin`
`static final class`
`Mixin.Builder`
Protobuf type `google.protobuf.Mixin`
Methods in com.google.protobuf that return MixinOrBuilder
Modifier and Type
Method
Description
`MixinOrBuilder`
Api.Builder.`getMixinsOrBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`MixinOrBuilder`
Api.`getMixinsOrBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`MixinOrBuilder`
ApiOrBuilder.`getMixinsOrBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
Methods in com.google.protobuf that return types with arguments of type MixinOrBuilder
Modifier and Type
Method
Description
`List<? extends MixinOrBuilder>`
Api.Builder.`getMixinsOrBuilderList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<? extends MixinOrBuilder>`
Api.`getMixinsOrBuilderList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<? extends MixinOrBuilder>`
ApiOrBuilder.`getMixinsOrBuilderList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`